SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Database)  >   Firebird Vendors:   firebird.sourceforge.net
Firebird Attach, Create, and Service Attach Request Buffer Overflows Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1018773
SecurityTracker URL:  http://securitytracker.com/id/1018773
CVE Reference:   CVE-2007-5245, CVE-2007-5246   (Links to External Site)
Updated:  Mar 20 2008
Original Entry Date:  Oct 4 2007
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): prior to 2.0.3.12981
Description:   Several vulnerabilities were reported in Firebird. A remote user can execute arbitrary code on the target system.

A remote user can send specially crafted attach, create, or service attach requests to trigger a buffer overflow and execute arbitrary code on the target system. The code will run with the privileges of the target service.

The following functions are affected:

INET_connect
SVC_attach
isc_attach_database
isc_create_database

Adriano Lima and Ramon de Carvalho Valle of RISE Security reported these vulnerabilities.

The original advisory is available at:

http://risesecurity.org/advisory/RISE-2007003/

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor has issued a fixed version (2.0.3.12981).

The INET_connect and SVC_attach vulnerabilities were corrected in 2.0.0.12748.

Vendor URL:  www.firebirdsql.org/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents

Subject:  [RISE-2007003] Firebird Relational Database Multiple Buffer Overflow

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Firebird Relational Database Multiple Buffer Overflow Vulnerabilities

http://risesecurity.org/advisory/RISE-2007003/

Published: October 3, 2007
Updated: October 3, 2007

INTRODUCTION

There exists multiple vulnerabilities within functions of Firebird
Relational
Database, which when properly exploited can lead to remote compromise of the
vulnerable system.
These vulnerabilities were confirmed by us in the following versions of
Firebird
Relational Database, other versions may be also affected.

Firebird WI-V2.0.1.12855
Firebird WI-V2.0.0.12748
Firebird WI-V1.5.4.4910
Firebird WI-V1.5.3.4870
Firebird LI-V2.0.1.12855
Firebird LI-V2.0.0.12748
Firebird LI-V1.5.4.4910
Firebird LI-V1.5.3.4870

DETAILS

The vulnerable functions do not validate user supplied data when copying
it to a
stack-based buffer, resulting in a stack-based buffer overflow. The
exploitation
of these vulnerabilities are trivial and results in remote compromise of the
vulnerable system.

This is the list of vulnerable functions, some of them contain more than one
stack-based buffer overflow vulnerability.

1. INET_connect (Firebird 1.5)
2. SVC_attach (Firebird 1.5)
3. isc_attach_database (Firebird 2.0)
4. isc_create_database (Firebird 2.0)

These vulnerabilities can be triggered by sending specially crafted attach,
create and service attach requests.

Proof of concept codes for these vulnerabilities can be downloaded from our
website http://risesecurity.org/.

VENDOR

The vulnerabilities 1 and 2 were cerrected in Firebird XX-V2.0.0.12748,
3 and 4
were corrected in Firebird XX-V2.0.3.12981.

CREDITS

These vulnerabilities were discovered by Adriano Lima
<adriano@risesecurity.org>
and Ramon de Carvalho Valle <ramon@risesecurity.org>.

DISCLAIMER

The authors reserve the right not to be responsible for the topicality,
correctness, completeness or quality of the information provided in this
document. Liability claims regarding damage caused by the use of any
information
provided, including any kind of information which is incomplete or
incorrect,
will therefore be rejected.

APPENDIX

Proof of concept codes for these vulnerabilities can be downloaded from our
website http://risesecurity.org/.


$Id: RISE-2007003.txt 10 2007-10-04 00:58:59Z ramon $


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.6 (GNU/Linux)

iD8DBQFHBFcWhFjK78TGSUERApYoAJ4yaoWo7aunx5WYz64IfGgxoWiKRwCfUnOW
A0bgGMII9z8uFrktgk0SSds=
=jnE+
-----END PGP SIGNATURE-----

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC